import {createElement, createSidebarPage} from "../../_global/scripts/helpers";
import {createDocumentList} from "../../components/document-list/DocumentListComponent";
import {createContact} from "../../components/contact/ContactComponent";
import {ContactData} from "../../components/contact/ContactData";
import {createPrintShare} from "../../components/print-share/PrintShareComponent";

export const createDocumentsPage =
({

}) => {
  const page = createSidebarPage({
    breadcrumb: ['Start', 'Interessenvertretung', 'Standpunkte / Positionen / Analysen'],
  });
  const main = page.main;
  const aside = page.aside;

  createElement('p', ['kicker'], 'Positionen der IHK Musterstadt', main);
  createElement('h1', [], 'Positionspapiere', main);
  main.appendChild(createDocumentList({}));
  main.appendChild(createPrintShare({}));
  aside.appendChild(createContact({headline: 'Kontakt', contacts: ContactData}));

  return page.page;
}